* example 12 - use PROC SQL as alternative to match-merge;

proc sql;
create table both as
select dataset1.name, dataset1.age as age1, dataset2.age as age2, hr
from dataset1, dataset2
where dataset1.name eq dataset2.name and
abs(age1-age2) le 1;
quit;

title1 'DATA SET BOTH - CREATED WITH PROC SQL';
title2 'DEFAULT IN PROC SQL - KEEP ONLY MATCHES, NOT UNMATCHED';
title3 'AN INNER-JOIN IS USED (DEFAULT WHEN FROM CLAUSE JUST USES COMMAS)';
proc print data=both;
run;
