* example 13 - use PROC SQL as alternative to match-merge;

proc sql;
create table both as
select dataset1.name as name1, dataset2.name as name2, dataset1.age as age1, dataset2.age as age2, hr
from dataset1 full join dataset2
on dataset1.name eq dataset2.name and abs(dataset1.age-dataset2.age) le 1;
quit;

title1 'DATA SET BOTH - CREATED WITH PROC SQL';
title2 'DEFAULT IN PROC SQL - KEEP MATCHES AND UNMATCHED';
title3 'AN FULL-JOIN IS USED';
proc print data=both;
run;
