* example 1 - (re)create a data set with 1 to 5 diagnoses per person;
data many_dx;
infile datalines missover;
input id : $2. (dx1-dx5)(:$3.);
datalines;
01 647 641 650 428
02 428 416
03 642 674 648
04 641 416 648 647 641
;
run;



* example 15 - use an ARRAY to rearrange a data set;

data all_dx;
set many_dx;
array dx(5);
do j=1 to 5;
   diag=dx(j);
   if diag ne ' ' then output;
end;
keep diag;
run;

title 'DATA SET ALL_DX - ONE VARIABLE - CREATED WITH AN ARRAY IN DATA STEP';
proc print data=all_dx;
run;
