* example 8 - (re)create a dataset with an id number, month number, and amount of deposit;
data deposits;
input account : $2. month deposit @@;
datalines;
01 1 100 01 4 50  01 6 200
02 2 50  02 3 100
03 1 50  03 2 50  03 3 50 03 4 50  03 5 50  03 6 50
;
run;



* example 16 - use an ARRAY to rearrange a data set;

data acct_deposits;
retain dep1-dep6;
set deposits;
by account;
array dep(6);
if first.account then do j=1 to 6;
   dep(j) = .;
end;
dep(month) = deposit;
if last.account then output;
keep account dep1-dep6;
run;

title1 'DATA SET ACCT_DEPOSITS - CREATED WITH AN ARRAY IN DATA STEP';
proc print data=acct_deposits;
var account dep1-dep6;
run;
